=== debian/changelog ===
vdo (8.3.0.71-2ubuntu1) plucky; urgency=medium

  * In allocate_partition, ensure partition cannot be used uninitialized.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Mar 2025 14:11:17 -0600

vdo (8.3.0.71-2) unstable; urgency=medium

  * Add debian/patches/fix-blhc.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 14 Sep 2024 20:20:10 +0000

vdo (8.3.0.71-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 07 Sep 2024 19:41:25 +0000

vdo (8.3.0.71-1~exp5) experimental; urgency=medium

  * Update Architecture field to specify specific architectures.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 07 Sep 2024 18:34:06 +0000

vdo (8.3.0.71-1~exp4) experimental; urgency=medium

  * Drop debian/patches/fix-memory-barriers.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 23 Aug 2024 17:42:19 +0000

vdo (8.3.0.71-1~exp3) experimental; urgency=medium

  * Update debian/patches/fix-memory-barriers.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 23 Aug 2024 14:50:18 +0000

vdo (8.3.0.71-1~exp2) experimental; urgency=medium

  * Add debian/patches/fix-memory-barriers.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 23 Aug 2024 13:34:28 +0000

vdo (8.3.0.71-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #895405)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 22 Aug 2024 03:44:46 +0000
