=== debian/control ===
Source: vdo
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Rules-Requires-Root: binary-targets
Build-Depends: debhelper-compat (= 13),
               libblkid-dev,
               uuid-dev,
               zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://docs.kernel.org/admin-guide/device-mapper/vdo.html
Vcs-Browser: https://salsa.debian.org/debian/vdo
Vcs-Git: https://salsa.debian.org/debian/vdo.git

Package: vdo
Architecture: linux-amd64 linux-arm64 linux-loong64 linux-ppc64 linux-ppc64el linux-s390x
Depends: dmsetup,
         lvm2,
         mount,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bash-completion
Description: Management tools for Virtual Data Optimizer
 Virtual Data Optimizer (VDO) is a device mapper target that delivers
 block-level deduplication, compression, and thin provisioning.
 .
 This package provides the user-space management tools for VDO.
