=== debian/watch ===
version=4
https://github.com/dm-vdo/vdo/tags .*/v?(\d\S*)\.tar\.gz
