=== debian/changelog ===
vdo (8.3.1.1-1) unstable; urgency=medium

  * New upstream version 8.3.1.1.
  * Bump Standards-Version to 4.7.2.
  * Update upstream and packaging copyright years.
  * Remove utils/uds/asm/unaligned.h in debian/copyright
    because this file is no longer in the source tree.
  * Add debian/patches/fix-partition-can-use-uninit.patch.
    Thanks to Simon Quigley <tsimonq2@ubuntu.com>.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 07 Apr 2025 14:35:19 +0000
