=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: vdo
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
+Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Rules-Requires-Root: binary-targets
 Build-Depends: debhelper-compat (= 13),
                libblkid-dev,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://docs.kernel.org/admin-guide/device-mapper/vdo.html
 Vcs-Browser: https://salsa.debian.org/debian/vdo
 Vcs-Git: https://salsa.debian.org/debian/vdo.git
